Notus API
Funds

Get live fund vault composition

Returns the vault's current ERC-20 holdings with balances, CoinGecko prices, and allocation. Cached for 10 minutes.

GET
/api/v1/fund/{fundId}/composition

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

fundId*string

Fund UUID or slug

Length1 <= length

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/fund/targen-vertex/composition"
{  "items": [    {      "name": "USD Coin",      "symbol": "USDC",      "logoURL": "https://assets.notus.team/usdc.png",      "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",      "price": {        "btc": "1234.98765",        "eth": "1234.98765",        "ltc": "1234.98765",        "bch": "1234.98765",        "bnb": "1234.98765",        "eos": "1234.98765",        "xrp": "1234.98765",        "xlm": "1234.98765",        "link": "1234.98765",        "dot": "1234.98765",        "yfi": "1234.98765",        "usd": "1234.98765",        "aed": "1234.98765",        "ars": "1234.98765",        "aud": "1234.98765",        "bdt": "1234.98765",        "bhd": "1234.98765",        "bmd": "1234.98765",        "brl": "1234.98765",        "cad": "1234.98765",        "chf": "1234.98765",        "clp": "1234.98765",        "cny": "1234.98765",        "czk": "1234.98765",        "dkk": "1234.98765",        "eur": "1234.98765",        "gbp": "1234.98765",        "gel": "1234.98765",        "hkd": "1234.98765",        "huf": "1234.98765",        "idr": "1234.98765",        "ils": "1234.98765",        "inr": "1234.98765",        "jpy": "1234.98765",        "krw": "1234.98765",        "kwd": "1234.98765",        "lkr": "1234.98765",        "mmk": "1234.98765",        "mxn": "1234.98765",        "myr": "1234.98765",        "ngn": "1234.98765",        "nok": "1234.98765",        "nzd": "1234.98765",        "php": "1234.98765",        "pkr": "1234.98765",        "pln": "1234.98765",        "rub": "1234.98765",        "sar": "1234.98765",        "sek": "1234.98765",        "sgd": "1234.98765",        "thb": "1234.98765",        "try": "1234.98765",        "twd": "1234.98765",        "uah": "1234.98765",        "vef": "1234.98765",        "vnd": "1234.98765",        "zar": "1234.98765",        "xdr": "1234.98765",        "xag": "1234.98765",        "xau": "1234.98765",        "bits": "1234.98765",        "sats": "1234.98765"      },      "balance": {        "amount": "1250000.50",        "amountIn": {          "btc": "1234.98765",          "eth": "1234.98765",          "ltc": "1234.98765",          "bch": "1234.98765",          "bnb": "1234.98765",          "eos": "1234.98765",          "xrp": "1234.98765",          "xlm": "1234.98765",          "link": "1234.98765",          "dot": "1234.98765",          "yfi": "1234.98765",          "usd": "1234.98765",          "aed": "1234.98765",          "ars": "1234.98765",          "aud": "1234.98765",          "bdt": "1234.98765",          "bhd": "1234.98765",          "bmd": "1234.98765",          "brl": "1234.98765",          "cad": "1234.98765",          "chf": "1234.98765",          "clp": "1234.98765",          "cny": "1234.98765",          "czk": "1234.98765",          "dkk": "1234.98765",          "eur": "1234.98765",          "gbp": "1234.98765",          "gel": "1234.98765",          "hkd": "1234.98765",          "huf": "1234.98765",          "idr": "1234.98765",          "ils": "1234.98765",          "inr": "1234.98765",          "jpy": "1234.98765",          "krw": "1234.98765",          "kwd": "1234.98765",          "lkr": "1234.98765",          "mmk": "1234.98765",          "mxn": "1234.98765",          "myr": "1234.98765",          "ngn": "1234.98765",          "nok": "1234.98765",          "nzd": "1234.98765",          "php": "1234.98765",          "pkr": "1234.98765",          "pln": "1234.98765",          "rub": "1234.98765",          "sar": "1234.98765",          "sek": "1234.98765",          "sgd": "1234.98765",          "thb": "1234.98765",          "try": "1234.98765",          "twd": "1234.98765",          "uah": "1234.98765",          "vef": "1234.98765",          "vnd": "1234.98765",          "zar": "1234.98765",          "xdr": "1234.98765",          "xag": "1234.98765",          "xau": "1234.98765",          "bits": "1234.98765",          "sats": "1234.98765"        }      },      "allocationPercentage": "45.20"    }  ]}